This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 385561 - Scalability performance issue displaying folders with many files
Scalability performance issue displaying folders with many files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 15:51 EST by David Campbell
Modified: 2015-03-03 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 15:53:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Campbell 2007-11-15 15:51:02 EST
Description of problem:

Nautilus has very bad scalability issues when it comes to viewing folders with
many files.  My tests in list mode show that nautilus can take a very long time
to even display the contents of a folder, and when it does display the folder,
the scrolling performance is atrocious.

My tests were done on a dual core cpu machine with 2gb of RAM and 256Mb of
graphics memory.

Version-Release number of selected component (if applicable):

2.20.0

How reproducible:

Always

Steps to Reproduce:
1. View a large folder in nautilus in list mode
2. Observe very poor performance
  
Actual results:

Very poor performance

Expected results:

Good performance

Additional info:
Comment 1 Stewart Adam 2008-08-13 10:24:26 EDT
I can confirm this as well with rawhide, version 2.23.6.1-1.fc10.x86_64.

Loading a folder with ~700 files is very slow and consumes 100% of one of the CPU cores. I'm running a Core2Duo at 2.13GHz, and there's no way listing 700 files should take as long as it does.
Comment 2 David Campbell 2008-08-13 16:48:05 EDT
Is there any chance that your 700 files contain TIF images?

If so, also see this bug:
https://bugzilla.redhat.com/show_bug.cgi?id=394831

Does the problem go away when you set System/Preferences/Personal/File Management/Preview/Show thumbnails to Never?

If so, then I'll mark this bug as a duplicate of the other.
Comment 3 Stewart Adam 2008-08-13 17:45:49 EDT
Nope, a few images but not TIFFs... Mostly media files. Turning off the preview didn't solve the problem either.

It might be worth noting that I noticed this problem last time I was using rawhide (when F9 was in development) - all GTK+ applications, not only nautilus, seem slower. So really this could be a GTK+ problem, but listing 700 files in nautilus is when it becomes really obvious.
Comment 4 Bug Zapper 2008-11-26 03:28:07 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Stewart Adam 2008-11-26 08:35:20 EST
This was fixed for me a while back... But my problem was because some extra debugging code for GTK had been enabled in rawhide, I'm not sure if this is a different problem or not.
Comment 6 David Campbell 2008-12-08 15:53:47 EST
Seems fixed in F10

Note You need to log in before you can comment on or make changes to this bug.